Package org.apache.lucene.queryparser.xml.builders

# Interface SpanQueryBuilder

All Superinterfaces:
  `QueryBuilder`

All Known Implementing Classes:
  `BoostingTermBuilder`, `CoreParser`, `CorePlusExtensionsParser`, `CorePlusQueriesParser`, `SpanBuilderBase`, `SpanFirstBuilder`, `SpanNearBuilder`, `SpanNotBuilder`, `SpanOrBuilder`, `SpanOrTermsBuilder`, `SpanPositionRangeBuilder`, `SpanQueryBuilderFactory`, `SpanTermBuilder`

public interface SpanQueryBuilder extends QueryBuilder
Interface for retrieving a `SpanQuery`.

## Method Summary

Modifier and Type
Method
Description
`SpanQuery`
`getSpanQuery(Element e)`

### Methods inherited from interface org.apache.lucene.queryparser.xml.QueryBuilder

`getQuery`

## Method Details

### getSpanQuery

SpanQuery getSpanQuery(Element e) throws ParserException

Throws:
  `ParserException`